#!/bin/sh

GNUPLOT=$1
LABEL=$2
TITLE=$3
EXT=$4
TERM=$5

$GNUPLOT << EOF
set terminal ${TERM}
set xlabel "time (s)"
set output "cwnd_${LABEL}.$EXT"
set ylabel "cwnd (packets)"
set title '$TITLE'
plot 'tcp1_${LABEL}.out' u 1:2 w l title 'Flow 1', 'tcp2_${LABEL}.out' u 1:2 w l title 'Flow 2'
set output "srtt_${LABEL}.${EXT}"
set ylabel "srtt (ms)"
plot 'tcp1_${LABEL}.out' u 1:3 w l title 'Flow 1', 'tcp2_${LABEL}.out' u 1:3 w l title 'Flow 2'
set output "goodput_${LABEL}.${EXT}"
set ylabel "Goodput (Mb/s)"
plot 'tcp1_${LABEL}.out' u 1:5 w l title 'Flow 1', 'tcp2_${LABEL}.out' u 1:5 w l title 'Flow 2'
set output "drops_${LABEL}.${EXT}"
set ylabel "Dropped packets"
plot 'q_${LABEL}.out' u 1:7 w l title 'Flow 1', 'q_${LABEL}.out' u 1:8 w l title 'Flow 2'
set output "queue_${LABEL}.${EXT}"
set ylabel "Router queue (packets)"
plot 'q_${LABEL}.out' u 1:2 w l title ''
EOF
