#!/bin/sh

# ns scripts implementing testing in "Experimental Evaluation of TCP Protocols for High-Speed Networks".  Li, Leith & Shorten, Trans on Networking 2007.  See www.hamilton.ie/net/ for details.

# Doug Leith, Hamilton Institute, 2007.  

HELP="usage: runtest.sh [start | restart].  'start' begins a new test from scratch, 'restart' attempts to continue execution of an interrupted test."
if [ $# -ne 1 ]; then
    echo ${HELP}; exit
elif [ "$1" == "start" ]; then
    echo "Starting test ..."
    MODE=$1
elif [ "$1" == "restart" ]; then
    echo "Restarting test ..."
    MODE=$1
else
    echo ${HELP}; exit
fi

# get local settings.  edit file config.sh to change these as required

source config.sh

#--------------------------------------------------------------------------
# No need to touch anything here
#--------------------------------------------------------------------------

# local functions to do the donkey work
source ${LIB}/lib.sh

#--------------------------------------------------------------------------
# run the tests ...
#--------------------------------------------------------------------------

if [ ! -d "$CCDESCRIPTION" ]; then mkdir "$CCDESCRIPTION" ; fi
cd "$CCDESCRIPTION"
cp ${LIB}/template_index.htm index.htm
plottitle

# save a bit of time here by using a smaller range of buffer sizes
QMAX=$QMAXSHORT
WEB=$WEBSHORT
RTT=$RTTSHORT
TIME=800

# two-flows same rtt
runtest "samertt" 0 $ALPHAOPT

# two-flows diff rtt
runtest "diffrtt" $RTT1 $ALPHAOPT

# friendliness
#runtest "friendliness" 0 $ALPHASTD 

# efficiency
QMAX=$QMAXLONG
WEB="0"
RTT="$RTT1"
TIME=600
MAXITER=1
runtest "efficiency" 0 $ALPHAOPT
 
